Attribute VB_Name = "modGlobal"
Option Explicit

Public Declare Function CloseHandle Lib "kernel32.dll" (ByVal hObject As Long) As Long
Private Declare Function FormatMessageA Lib "kernel32.dll" (ByVal dwFlags As Long, ByVal lpSource As Long, ByVal dwMessageId As Long, ByVal dwLanguageId As Long, ByVal lpBuffer As String, ByVal nSize As Long, ByVal Arguments As Long) As Long

Public Const INVALID_HANDLE_VALUE As Long = -1
Private Const FORMAT_MESSAGE_IGNORE_INSERTS As Long = &H200&
Private Const FORMAT_MESSAGE_FROM_SYSTEM As Long = &H1000&


Public Sub RaiseError(ByVal Number As Long)

Dim Buffer As String
Dim Length As Long

Buffer = String$(&H1000&, 0)

Length = FormatMessageA(FORMAT_MESSAGE_IGNORE_INSERTS Or FORMAT_MESSAGE_FROM_SYSTEM, 0, Number, 0, Buffer, &H1000&, 0)

Err.Raise Number:=vbObjectError + Number, Description:=Left$(Buffer, Length)

End Sub
